package com.ruoyi.abuwx.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 卡券管理对象 card_coupons
 *
 * @author lujie
 * @date 2025-01-07
 */
public class CardCoupons extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 卡券名称
     */
    @Excel(name = "卡券名称")
    private String title;

    /**
     * 类型
     */
    @Excel(name = "类型")
    private String type;

    /**
     * 使用说明
     */
    @Excel(name = "使用说明")
    private String description;

    /**
     * 额度
     */
    @Excel(name = "额度")
    private String quota;

    /**
     * 图片
     */
    @Excel(name = "图片")
    private String pic;

    /**
     * 上架/下架
     */
    @Excel(name = "上架/下架")
    private String status;

    /**
     * 卡券编号
     */
    @Excel(name = "卡券编号")
    private String couponNumber;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public void setQuota(String quota) {
        this.quota = quota;
    }

    public String getQuota() {
        return quota;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getPic() {
        return pic;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setCouponNumber(String couponNumber) {
        this.couponNumber = couponNumber;
    }

    public String getCouponNumber() {
        return couponNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .append("title", getTitle())
                .append("type", getType())
                .append("description", getDescription())
                .append("quota", getQuota())
                .append("pic", getPic())
                .append("status", getStatus())
                .append("couponNumber", getCouponNumber())
                .toString();
    }
}
